com.tibbo.aggregate.common.protocol

## Class AggreGateCommandParser

- java.lang.Object
- - com.tibbo.aggregate.common.communication.AbstractCommandParser<C>
  - - com.tibbo.aggregate.common.communication.BufferedCommandParser<C>
    - - com.tibbo.aggregate.common.communication.SimpleCommandParser<IncomingAggreGateCommand>
      - - com.tibbo.aggregate.common.protocol.AggreGateCommandParser

- All Implemented Interfaces:
    CommandParser<IncomingAggreGateCommand>

      public class AggreGateCommandParser
      extends SimpleCommandParser<IncomingAggreGateCommand>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CommandData` | `commandData`
    `byte[]` | `decompressor_buffer`

    - ### Fields inherited from class com.tibbo.aggregate.common.communication.BufferedCommandParser

      `buffer, channel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggreGateCommandParser(java.nio.channels.ReadableByteChannel channel)`
    `AggreGateCommandParser(java.nio.channels.ReadableByteChannel channel, byte startChar, byte endChar)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IncomingAggreGateCommand` | `buildCommand()`
    `protected IncomingAggreGateCommand` | `buildCommandFrom(CommandData commandData)`
    `protected boolean` | `commandEnded(byte cur)`
    `protected IncomingAggreGateCommand` | `createCommandFromBufferContent()`
    `void` | `reset()`
    `void` | `setVersion(ProtocolVersion version)`

    - ### Methods inherited from class com.tibbo.aggregate.common.communication.SimpleCommandParser

      `clearCommand, isFull`

    - ### Methods inherited from class com.tibbo.aggregate.common.communication.BufferedCommandParser

      `commandCompleted, getChannel, readCommand`

    - ### Methods inherited from class com.tibbo.aggregate.common.communication.AbstractCommandParser

      `addData, clearData, getData, getListener, setListener, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### decompressor_buffer

          public final byte[] decompressor_buffer

    - #### commandData

          protected CommandData commandData

  - ### Constructor Detail

    - #### AggreGateCommandParser

          public AggreGateCommandParser(java.nio.channels.ReadableByteChannel channel)

    - #### AggreGateCommandParser

          public AggreGateCommandParser(java.nio.channels.ReadableByteChannel channel,
                                        byte startChar,
                                        byte endChar)

  - ### Method Detail

    - #### buildCommand

          protected IncomingAggreGateCommand buildCommand()
                                                   throws SyntaxErrorException

      Overrides:
        `buildCommand` in class `SimpleCommandParser<IncomingAggreGateCommand>`
      Throws:
        `SyntaxErrorException`

    - #### commandEnded

          protected boolean commandEnded(byte cur)

      Overrides:
        `commandEnded` in class `SimpleCommandParser<IncomingAggreGateCommand>`

    - #### reset

          public void reset()

      Specified by:
        `reset` in interface `CommandParser<IncomingAggreGateCommand>`
      Overrides:
        `reset` in class `AbstractCommandParser<IncomingAggreGateCommand>`

    - #### createCommandFromBufferContent

          protected IncomingAggreGateCommand createCommandFromBufferContent()
                                                                     throws SyntaxErrorException

      Specified by:
        `createCommandFromBufferContent` in class `SimpleCommandParser<IncomingAggreGateCommand>`
      Throws:
        `SyntaxErrorException`

    - #### setVersion

          public void setVersion(ProtocolVersion version)

    - #### buildCommandFrom

          protected IncomingAggreGateCommand buildCommandFrom(CommandData commandData)
                                                       throws SyntaxErrorException

      Throws:
        `SyntaxErrorException`